#include <stdio.h>

#include "args.h"
#include "chext.h"

int print_help()
{
	printf("Usage: chext EXTENSION FILES\n");
	return 0;
}


int main(int argc, char* argv[])
{
	arguments_t arguments = analyze_arguments(argc, argv);
	if ( arguments.help_asked )
		return print_help();
//	printf("sizeof(arguments_t)==%zd\n", sizeof(arguments));

#if 0
	for ( int index = 0; index < argc; ++index )
		printf("%d=[%s]\n", index, argv[index]);
	const char input_filename[] = "path_to/data_a";
#endif

	if ( argc > 1 )
	{
		const char* target_extension = argv[1];
		long target_extension_length = string_length(target_extension);

		for ( int index = 2; index < argc; ++index )
		{
			const char* const source_filename = argv[index];
			long pos = find_last_pos(source_filename, '.');

			//char output_filename[ string_length(input_filename) + 2 + 1 ];
			char target_filename[pos + 1 + target_extension_length + 1];
			*target_filename = '\0';
			//output_filename = input_filename;

			if ( pos != -1 )
			{
				string_copy_ptr(pos + 1, source_filename, target_filename);
				string_copy_ptr(target_extension_length, target_extension, target_filename + pos + 1);
			}
			printf("%d=[%s]%zu\n", index, target_filename, sizeof(target_filename));
		}
	}
	else
	{
		return fprintf(stderr, "chext: error: no arguments given\n"), 1;
	}

	return 0;
}
